# ODIT.Services - LfK-Client (JS Version)
[![Build Status](https://ci.odit.services/api/badges/lfk/lfk-client-js/status.svg?ref=refs/heads/main)](https://ci.odit.services/lfk/lfk-client-js)

The official library for the LfK [backend server](https://git.odit.services/lfk/backend).
Automagicly™ generated by [openapi-typescript-codegen](https://www.npmjs.com/package/openapi-typescript-codegen)

## 🛠 Building

### Setup ⬇️

```bash
git clone https://git.odit.services/lfk/lfk-client-js.git
cd lfk-client-js
pnpm i
```

### Build 🔨

```bash
pnpm update:openapi # Update the openapi.json file
pnpm build # Build the project
pnpm release # Bump and release to npm

# Or just do it all in one command
pnpm update:auto
```

## Use

Basic example: Get all tracks
```typescript
import {OpenAPI, TrackService} from "@odit/lfk-client-js";
OpenAPI.BASE = "https://localhost:4010";
console.log(await TrackService.trackControllerGetAll());
```

### Install

Via yarn/npm:
```bash
yarn add @odit/lfk-client-js
# Or
npm i @odit/lfk-client-js
```

Or just copy the folder `dist` to your prefered lib folder and import everything you need from `dist/index.ts`.