const https = require('https');
const fs = require('fs');

const url = 'https://run.lauf-fuer-kaya.de/api/docs/openapi.json';
const output = 'openapi.json';

https.get(url, (res) => {
    if (res.statusCode !== 200) {
        console.error(`Request Failed. Status Code: ${res.statusCode}`);
        res.resume();
        return;
    }

    let data = '';
    res.on('data', chunk => data += chunk);
    res.on('end', () => {
        fs.writeFile(output, data, (err) => {
            if (err) {
                console.error('Error writing file:', err);
            } else {
                console.log(`Saved latest OpenAPI JSON to ${output}`);
            }
        });
    });
}).on('error', (e) => {
    console.error(`Got error: ${e.message}`);
});